"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var lodash_1 = require("lodash");
var React = require("react");
var recompose_1 = require("recompose");
var themes_1 = require("../../themes");
var ThemeContext_1 = require("./ThemeContext");
exports.UseTheme = recompose_1.setDisplayName('UseTheme')(function (_a) {
    var theme = _a.theme, children = _a.children;
    var mergedTheme = lodash_1.merge({}, themes_1.defaultTheme, theme);
    return (React.createElement(ThemeContext_1.ThemeContext.Provider, { value: mergedTheme }, children));
});
//# sourceMappingURL=UseTheme.js.map