import * as React from 'react';
import { ComponentThemeProps, WithInnerComponentThemeProps } from '../../util/enhancers/WithComponentTheme';
import { ButtonProps } from './Button';
import { FlatButtonTheme } from './FlatButtonTheme';
declare type InnerProps = ButtonProps & WithInnerComponentThemeProps<FlatButtonTheme>;
export declare type FlatButtonPropsWithTheme = ButtonProps & ComponentThemeProps<'FlatButton'>;
export declare const FlatButtonComponent: React.FC<InnerProps>;
export declare const FlatButton: React.ComponentClass<FlatButtonPropsWithTheme, any>;
export {};
