"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var faCaretDown_1 = require("@fortawesome/free-solid-svg-icons/faCaretDown");
var faCaretUp_1 = require("@fortawesome/free-solid-svg-icons/faCaretUp");
var React = require("react");
var recompose_1 = require("recompose");
var Icon_1 = require("../icon/Icon");
var Clickable_1 = require("../interaction/Clickable");
var Column_1 = require("../layout/Column");
var Indent_1 = require("../layout/Indent");
var Row_1 = require("../layout/Row");
exports.UpDownButtons = recompose_1.setDisplayName('UpDownButtons')(function (_a) {
    var onClickDown = _a.onClickDown, onClickUp = _a.onClickUp, buttonHeight = _a.buttonHeight, iconColor = _a.iconColor;
    return (React.createElement(Column_1.Column, null,
        React.createElement(Clickable_1.Clickable, { onClick: onClickUp },
            React.createElement(Row_1.Row, { height: buttonHeight, justifyContent: 'center', alignItems: 'center' },
                React.createElement(Indent_1.Indent, { num: 0.75 },
                    React.createElement(Icon_1.Icon, { name: faCaretUp_1.faCaretUp, size: 11, color: iconColor })))),
        React.createElement(Clickable_1.Clickable, { onClick: onClickDown },
            React.createElement(Row_1.Row, { height: buttonHeight, justifyContent: 'center', alignItems: 'center' },
                React.createElement(Indent_1.Indent, { num: 0.75 },
                    React.createElement(Icon_1.Icon, { name: faCaretDown_1.faCaretDown, size: 11, color: iconColor }))))));
});
//# sourceMappingURL=UpDownButtons.js.map