"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = require("react");
var recompose_1 = require("recompose");
var WithTheme_1 = require("../../util/enhancers/WithTheme");
var BorderComponent = /** @class */ (function (_super) {
    tslib_1.__extends(BorderComponent, _super);
    function BorderComponent() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    BorderComponent.prototype.render = function () {
        var _a = this.props, children = _a.children, _b = _a.width, width = _b === void 0 ? '1px' : _b, color = _a.color, flex = _a.flex, borderRadius = _a.borderRadius, borderTopLeftRadius = _a.borderTopLeftRadius, borderTopRightRadius = _a.borderTopRightRadius, borderBottomLeftRadius = _a.borderBottomLeftRadius, borderBottomRightRadius = _a.borderBottomRightRadius, _c = _a.borderStyle, borderStyle = _c === void 0 ? 'solid' : _c, style = _a.style, top = _a.top, bottom = _a.bottom, left = _a.left, right = _a.right, overflow = _a.overflow, theme = _a.theme, className = _a.className, border = _a.border;
        var isAny = top || bottom || left || right;
        var all = !isAny;
        return (React.createElement("div", { style: tslib_1.__assign({ border: border, borderTopWidth: all || top ? width : undefined, borderBottomWidth: all || bottom ? width : undefined, borderLeftWidth: all || left ? width : undefined, borderRightWidth: all || right ? width : undefined, borderTopColor: all || top ? color || theme.colors.primaryText : undefined, borderBottomColor: all || bottom ? color || theme.colors.primaryText : undefined, borderLeftColor: all || left ? color || theme.colors.primaryText : undefined, borderRightColor: all || right ? color || theme.colors.primaryText : undefined, borderTopStyle: all || top ? borderStyle : undefined, borderBottomStyle: all || bottom ? borderStyle : undefined, borderLeftStyle: all || left ? borderStyle : undefined, borderRightStyle: all || right ? borderStyle : undefined, flex: flex,
                overflow: overflow }, (borderTopLeftRadius ? { borderTopLeftRadius: borderTopLeftRadius } : undefined), (borderTopRightRadius ? { borderTopRightRadius: borderTopRightRadius } : undefined), (borderBottomLeftRadius ? { borderBottomLeftRadius: borderBottomLeftRadius } : undefined), (borderBottomRightRadius
                ? { borderBottomRightRadius: borderBottomRightRadius }
                : undefined), (borderRadius ? { borderRadius: borderRadius } : undefined), style), className: className }, children));
    };
    return BorderComponent;
}(React.Component));
exports.BorderComponent = BorderComponent;
exports.Border = recompose_1.setDisplayName('Border')(recompose_1.compose(WithTheme_1.withTheme)(BorderComponent));
//# sourceMappingURL=Border.js.map