"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var recompose_1 = require("recompose");
var WithComponentTheme_1 = require("../../../util/enhancers/WithComponentTheme");
var Calendar_1 = require("./components/Calendar");
var DateRangeSelection_1 = require("./features/DateRangeSelection");
var MonthSwitcher_1 = require("./features/month-switcher/MonthSwitcher");
var WithTodayInDayState_1 = require("./features/today-state/WithTodayInDayState");
exports.createDateRangeCalendar = function () {
    return recompose_1.setDisplayName('DateRangeCalendar')(recompose_1.compose(WithComponentTheme_1.withComponentTheme('Calendar'), DateRangeSelection_1.withDateRangeSelection, MonthSwitcher_1.withMonthSwitcher, WithTodayInDayState_1.withTodayInDayState())(Calendar_1.createCalendar()));
};
exports.createDateRangeCalendarWithState = function () {
    return recompose_1.setDisplayName('DateRangeCalendarWithState')(recompose_1.compose(WithComponentTheme_1.withComponentTheme('Calendar'), DateRangeSelection_1.withDateRangeSelectionState, DateRangeSelection_1.withDateRangeSelection, MonthSwitcher_1.withMonthSwitcher, WithTodayInDayState_1.withTodayInDayState())(Calendar_1.createCalendar()));
};
exports.DateRangeCalendar = exports.createDateRangeCalendar();
exports.DateRangeCalendarWithState = exports.createDateRangeCalendarWithState();
//# sourceMappingURL=DateRangeCalendar.js.map