"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var layout_1 = require("../../../../layout");
var text_1 = require("../../../../text");
exports.WeekDayCell = function (_a) {
    var onClickWeekDay = _a.onClickWeekDay, day = _a.day, theme = _a.theme;
    return (React.createElement("div", { onClick: onClickWeekDay ? function () { return onClickWeekDay(day.dayOfWeek); } : undefined },
        React.createElement(layout_1.Column, { width: theme.width, height: theme.height, justifyContent: 'center', alignItems: 'center' },
            React.createElement(text_1.DefaultText, { color: theme.WeekDay.textColor }, day.name))));
};
//# sourceMappingURL=WeekDayCell.js.map