import { ComponentEnhancer } from 'recompose';
import { Omit } from '../../../../../types/Omit';
import { CalendarProps } from '../types/CalendarTypes';
import { WithCalendarTheme } from '../types/WithCalendarTheme';
import { WithMonthSwitcherProps } from './month-switcher/MonthSwitcher';
import { MonthSwitcherLogicOuterProps } from './month-switcher/MonthSwitcherLogic';
export declare type __C35981231312518 = ComponentEnhancer<{}, {}>;
export declare type SingleWeekValue = string;
export declare type SingleWeekCalendarProps<T> = Omit<CalendarProps<T>, 'theme'> & MonthSwitcherLogicOuterProps & OnChangePropsSingleWeekSelection & WithCalendarTheme & WithMonthSwitcherProps;
export interface OnChangePropsSingleWeekSelection {
    value: SingleWeekValue | undefined;
    onChange: (value: SingleWeekValue | undefined) => void;
}
export declare const withSingleWeekSelection: ComponentEnhancer<{}, {}>;
