/// <reference types="recompose" />
import { CalendarProps } from '../../types/CalendarTypes';
export declare type MonthSwitcherPlacement = 'header' | 'below';
export interface WithMonthSwitcherProps extends CalendarProps<{}> {
    /** Placement of month switch buttons. 'header' is default, unless numMonths is >1, then 'below' is default. */
    monthSwitcherPlacement?: MonthSwitcherPlacement;
}
export declare const withMonthSwitcher: import("recompose").ComponentEnhancer<WithMonthSwitcherProps, WithMonthSwitcherProps>;
