"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var recompose_1 = require("recompose");
var MonthSwitcherBelow_1 = require("./MonthSwitcherBelow");
var MonthSwitcherInHeader_1 = require("./MonthSwitcherInHeader");
var MonthSwitcherLogic_1 = require("./MonthSwitcherLogic");
exports.withMonthSwitcher = recompose_1.compose(MonthSwitcherLogic_1.withMonthSwitcherLogic, recompose_1.branch(function (props) { return getMonthSwitcherPlacement(props) === 'header'; }, MonthSwitcherInHeader_1.withMonthSwitcherInHeader), recompose_1.branch(function (props) { return getMonthSwitcherPlacement(props) === 'below'; }, MonthSwitcherBelow_1.withMonthSwitcherBelow));
var getMonthSwitcherPlacement = function (_a) {
    var monthSwitcherPlacement = _a.monthSwitcherPlacement, numMonths = _a.numMonths;
    if (monthSwitcherPlacement) {
        return monthSwitcherPlacement;
    }
    if (numMonths && numMonths > 1) {
        return 'below';
    }
    return 'header';
};
//# sourceMappingURL=MonthSwitcher.js.map