"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var faChevronDown_1 = require("@fortawesome/free-solid-svg-icons/faChevronDown");
var faChevronUp_1 = require("@fortawesome/free-solid-svg-icons/faChevronUp");
var React = require("react");
var recompose_1 = require("recompose");
var buttons_1 = require("../../../../buttons");
var index_1 = require("../../../../layout/index");
var MonthSwitcherLogic_1 = require("./MonthSwitcherLogic");
var withSwitchButtons = function (WrappedComponent) { return function (props) { return (React.createElement("div", null,
    React.createElement(WrappedComponent, tslib_1.__assign({}, props)),
    React.createElement(index_1.Indent, null,
        React.createElement(index_1.Row, null,
            React.createElement(buttons_1.Button, { height: props.theme &&
                    props.theme.CalendarMonth.SwitchButton &&
                    props.theme.CalendarMonth.SwitchButton.height
                    ? props.theme.CalendarMonth.SwitchButton.height
                    : buttons_1.defaultStandardButtonTheme.height, onClick: props.prevMonth, leftIcon: faChevronUp_1.faChevronUp, theme: props.theme && props.theme.CalendarMonth.SwitchButton
                    ? props.theme.CalendarMonth.SwitchButton
                    : undefined, width: props.theme && props.theme.CalendarMonth.SwitchButton
                    ? props.theme.CalendarMonth.SwitchButton.width
                    : undefined }),
            React.createElement(index_1.Space, null),
            React.createElement(buttons_1.Button, { height: props.theme &&
                    props.theme.CalendarMonth.SwitchButton &&
                    props.theme.CalendarMonth.SwitchButton.height
                    ? props.theme.CalendarMonth.SwitchButton.height
                    : buttons_1.defaultStandardButtonTheme.height, onClick: props.nextMonth, leftIcon: faChevronDown_1.faChevronDown, theme: props.theme && props.theme.CalendarMonth.SwitchButton
                    ? props.theme.CalendarMonth.SwitchButton
                    : undefined, width: props.theme && props.theme.CalendarMonth.SwitchButton
                    ? props.theme.CalendarMonth.SwitchButton.width
                    : undefined }))),
    React.createElement(index_1.Space, null))); }; };
exports.withMonthSwitcherBelow = recompose_1.compose(MonthSwitcherLogic_1.withMonthSwitcherLogic, withSwitchButtons);
//# sourceMappingURL=MonthSwitcherBelow.js.map