"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var recompose_1 = require("recompose");
var StateModifier_1 = require("../../util/StateModifier");
exports.withTodayInDayState = function () {
    return recompose_1.withPropsOnChange(['statePerMonth'], function (_a) {
        var statePerMonth = _a.statePerMonth, highlightToday = _a.highlightToday;
        return {
            statePerMonth: highlightToday
                ? StateModifier_1.addDayStateHighlights(statePerMonth, new Date(), ['today'])
                : statePerMonth,
        };
    });
};
//# sourceMappingURL=WithTodayInDayState.js.map