"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var faCheck_1 = require("@fortawesome/free-solid-svg-icons/faCheck");
var DefaultColors_1 = require("../../../../themes/default-values/DefaultColors");
exports.defaultSimpleCheckboxTheme = {
    colors: {
        backgroundColor: DefaultColors_1.defaultColors.white,
        borderColor: DefaultColors_1.defaultColors.inputBorder,
        iconColor: DefaultColors_1.defaultColors.primaryText,
    },
    disabledColors: {
        backgroundColor: '#f1f1f1',
        borderColor: DefaultColors_1.defaultColors.inputBorder,
        iconColor: DefaultColors_1.defaultColors.disabledText,
    },
    checkedColors: {
        backgroundColor: DefaultColors_1.defaultColors.white,
        borderColor: DefaultColors_1.defaultColors.inputBorder,
        iconColor: DefaultColors_1.defaultColors.primaryText,
    },
    borderColorFocused: DefaultColors_1.defaultColors.inputBorderFocused,
    checkIcon: faCheck_1.faCheck,
    width: '22px',
    height: '22px',
    borderRadius: '4px',
    iconSize: 10,
};
exports.defaultSimpleCheckboxThemeDark = {
    colors: {
        backgroundColor: '#b7d1d9',
        borderColor: 'transparent',
        iconColor: '#4d7989',
    },
    disabledColors: {
        backgroundColor: '#f1f1f1',
        borderColor: DefaultColors_1.defaultColors.inputBorder,
        iconColor: DefaultColors_1.defaultColors.disabledText,
    },
    checkedColors: {
        backgroundColor: '#b7d1d9',
        borderColor: DefaultColors_1.defaultColors.inputBorder,
        iconColor: DefaultColors_1.defaultColors.primaryText,
    },
    borderColorFocused: DefaultColors_1.defaultColors.inputBorderFocused,
    checkIcon: faCheck_1.faCheck,
    width: '22px',
    height: '22px',
    borderRadius: '4px',
    iconSize: 10,
};
//# sourceMappingURL=SimpleCheckboxTheme.js.map