import * as React from 'react';
export interface MultipleOptionFilterProps {
    allLabel: string;
    onAllClick: (e: React.ChangeEvent<HTMLInputElement>, value: boolean) => void;
    onOptionClick: (e: React.ChangeEvent<HTMLInputElement>, option: Option) => void;
    options: Option[];
}
export interface Option {
    checked: boolean;
    code: string;
    label: string;
}
export declare const MultipleOption: ({ allLabel, onAllClick, onOptionClick, options, }: MultipleOptionFilterProps) => JSX.Element;
