import * as React from 'react';
import { WithInnerComponentThemeProps } from '../../../util/enhancers';
import { WithOnToggleHandler } from '../../../util/enhancers/withOnToggleHandler';
import { ValueOnChangeProps } from '../types';
import { RadioButtonTheme } from './RadioButtonTheme';
export interface RadioButtonWithLabelProps extends ValueOnChangeProps<boolean> {
    disabled?: boolean;
    label: string;
}
declare type InnerProps = WithOnToggleHandler & WithInnerComponentThemeProps<RadioButtonTheme> & RadioButtonWithLabelProps;
export declare const RadioButtonWithLabelComponent: React.FC<InnerProps>;
declare type ThemeProp = {
    theme?: RadioButtonTheme;
};
export declare const RadioButtonWithLabel: React.ComponentClass<RadioButtonWithLabelProps & ThemeProp, any>;
export {};
