"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DefaultColors_1 = require("../../../../themes/default-values/DefaultColors");
exports.defaultSwitchTheme = {
    colors: {
        backgroundColor: DefaultColors_1.defaultColors.primaryTextLight,
        iconBackgroundColor: DefaultColors_1.defaultColors.white,
        iconColor: DefaultColors_1.defaultColors.primaryTextLight,
    },
    disabledColors: {
        backgroundColor: DefaultColors_1.defaultColors.inputBorder,
        iconBackgroundColor: DefaultColors_1.defaultColors.white,
        iconColor: DefaultColors_1.defaultColors.disabledText,
    },
    checkedColors: {
        backgroundColor: DefaultColors_1.defaultColors.primaryText,
        iconBackgroundColor: DefaultColors_1.defaultColors.white,
        iconColor: DefaultColors_1.defaultColors.primaryText,
    },
    width: 40,
    height: 21,
    borderRadius: 4,
};
exports.defaultSwitchThemeDark = {
    colors: {
        backgroundColor: '#b7d1d9',
        iconBackgroundColor: DefaultColors_1.defaultColors.white,
        iconColor: '#4d7989',
    },
    disabledColors: {
        backgroundColor: DefaultColors_1.defaultColors.inputBorder,
        iconBackgroundColor: DefaultColors_1.defaultColors.white,
        iconColor: DefaultColors_1.defaultColors.disabledText,
    },
    checkedColors: {
        backgroundColor: '#b7d1d9',
        iconBackgroundColor: DefaultColors_1.defaultColors.white,
        iconColor: DefaultColors_1.defaultColors.primaryText,
    },
    width: 40,
    height: 21,
    borderRadius: 4,
};
//# sourceMappingURL=SwitchTheme.js.map