import * as React from 'react';
import { Omit } from '../../../../types/index';
import { ComponentThemeProps } from '../../../util/enhancers/WithComponentTheme';
import { DefaultTextInputProps } from './DefaultTextInput';
interface NumericTextInputProps extends ComponentThemeProps<'NumericTextInput'>, Omit<DefaultTextInputProps, 'value' | 'onChange' | 'theme'> {
    value: number | undefined;
    onChange: (value: number | undefined) => void;
    max?: number;
    min?: number;
    step?: number;
    hideButtons?: boolean;
}
export declare const NumericTextInput: React.ComponentClass<NumericTextInputProps, any>;
export {};
