import { FlipProp, IconProp, RotateProp, Transform } from '@fortawesome/fontawesome-svg-core';
import * as React from 'react';
export declare type IconSource = 'fontawesome';
export declare type IconProps = FontAwesomeProps;
export interface FontAwesomeProps {
    className?: string;
    color?: string;
    flip?: FlipProp;
    name: IconProp;
    pulse?: boolean;
    rotation?: RotateProp;
    size?: number;
    source?: IconSource;
    spin?: boolean;
    style?: React.CSSProperties;
    transform?: string | Transform;
}
export declare const Icon: React.ComponentClass<FontAwesomeProps, any>;
