"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = require("react");
var Clickable_1 = require("./Clickable");
exports.ClickableSwitcher = function (props) {
    if (props.onClick || props.onDblClick) {
        return React.createElement(Clickable_1.Clickable, tslib_1.__assign({}, props));
    }
    if (props.children) {
        return React.createElement(React.Fragment, null, props.children);
    }
    return null;
};
//# sourceMappingURL=ClickableSwitcher.js.map