import * as React from 'react';
export declare type Position = 'top-left' | 'top-right' | 'left-top' | 'left-bottom';
export interface LabelProps {
    /** Children that should be displayed next to label */
    children: React.ReactNode;
    /** Component for label */
    label: React.ReactNode;
    /** Sets distance from label to children */
    num?: number;
    /** Sets position on label */
    position?: Position;
}
export declare const Label: React.ComponentClass<LabelProps, any>;
