"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var styled_1 = require("@emotion/styled");
var React = require("react");
var styled_system_1 = require("styled-system");
var UseThemeHook_1 = require("../../theme/UseThemeHook");
var FlexBox = styled_1.default.div(templateObject_1 || (templateObject_1 = tslib_1.__makeTemplateObject(["\n  display: ", ";\n  ", ";\n  ", ";\n  ", ";\n  flex-direction: ", ";\n  ", ";\n  ", ";\n  ", ";\n  ", ";\n  ", ";\n  ", ";\n  padding: ", "px\n    ", "px;\n  ", ";\n"], ["\n  display: ", ";\n  ", ";\n  ", ";\n  ", ";\n  flex-direction: ",
    ";\n  ", ";\n  ", ";\n  ", ";\n  ", ";\n  ", ";\n  ", ";\n  padding: ", "px\n    ", "px;\n  ", ";\n"])), function (props) { return props.display || 'flex'; }, styled_system_1.alignItems, styled_system_1.background, styled_system_1.flex, function (props) {
    return (props.row && 'row') || props.flexDirection || 'column';
}, styled_system_1.flexWrap, styled_system_1.height, styled_system_1.justifyContent, styled_system_1.minHeight, styled_system_1.maxHeight, styled_system_1.maxWidth, function (props) { return numberOrZero(props.spacing) * props.metrics.spacing; }, function (props) { return numberOrZero(props.indent) * props.metrics.indent; }, styled_system_1.width);
exports.Box = function (_a) {
    var innerRef = _a.innerRef, props = tslib_1.__rest(_a, ["innerRef"]);
    var theme = UseThemeHook_1.useTheme();
    return React.createElement(FlexBox, tslib_1.__assign({ ref: innerRef, metrics: theme.metrics }, props));
};
exports.RowBox = function (props) {
    return React.createElement(exports.Box, tslib_1.__assign({ row: true }, props));
};
exports.ColumnBox = function (props) {
    return (React.createElement(exports.Box, tslib_1.__assign({}, props),
        React.createElement("div", null)));
};
var numberOrZero = function (num) {
    return num || 0;
};
var templateObject_1;
//# sourceMappingURL=Box.js.map