"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var recompose_1 = require("recompose");
var WithTheme_1 = require("../../util/enhancers/WithTheme");
exports.IndentComponent = function (_a) {
    var _b = _a.num, num = _b === void 0 ? 1 : _b, children = _a.children, half = _a.half, theme = _a.theme;
    var halfCoeff = half ? 0.5 : 1;
    var size = num * halfCoeff;
    return (React.createElement("div", { style: {
            marginLeft: size * theme.metrics.indent + "px",
            marginRight: size * theme.metrics.indent + "px",
        } }, children));
};
exports.Indent = recompose_1.setDisplayName('Indent')(recompose_1.compose(WithTheme_1.withTheme)(exports.IndentComponent));
//# sourceMappingURL=Indent.js.map