"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var recompose_1 = require("recompose");
var WithTheme_1 = require("../../util/enhancers/WithTheme");
exports.SpacingComponent = function (_a) {
    var _b = _a.num, num = _b === void 0 ? 1 : _b, _c = _a.half, half = _c === void 0 ? false : _c, children = _a.children, theme = _a.theme;
    var halfMod = half ? 0.5 : 1;
    var padding = num * halfMod;
    return (React.createElement("div", { style: {
            paddingBottom: padding * theme.metrics.spacing + "px",
            paddingTop: padding * theme.metrics.spacing + "px",
        } }, children));
};
exports.Spacing = recompose_1.setDisplayName('Spacing')(recompose_1.compose(WithTheme_1.withTheme)(exports.SpacingComponent));
//# sourceMappingURL=Spacing.js.map