import * as React from 'react';
export interface OverlayProps {
    onClickOutside?: () => void;
    backgroundOpacity?: number;
    zIndex?: number;
}
export declare class Overlay extends React.Component<OverlayProps> {
    div: HTMLDivElement | undefined;
    componentDidMount(): void;
    onClickOutside: React.MouseEventHandler<HTMLDivElement>;
    onKeyDown: React.KeyboardEventHandler<HTMLDivElement>;
    render(): JSX.Element;
}
