"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = require("react");
var EnhancedPopper_1 = require("./EnhancedPopper");
var Popup = /** @class */ (function (_super) {
    tslib_1.__extends(Popup, _super);
    function Popup() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.renderPropsReference = function (_a) {
            var ref = _a.ref;
            return (React.createElement("span", { ref: ref, onClick: _this.props.onOpen }, _this.props.referenceChildren));
        };
        return _this;
    }
    Popup.prototype.render = function () {
        var _a = this.props, backgroundColor = _a.backgroundColor, children = _a.children, open = _a.open, onClickOutside = _a.onClickOutside, Popper = _a.Popper, modifiers = _a.modifiers, placement = _a.placement, shadow = _a.shadow, style = _a.style, targetMinHeight = _a.targetMinHeight, targetMinWidth = _a.targetMinWidth;
        return (React.createElement(Popper.Manager, null,
            React.createElement(Popper.Reference, null, this.renderPropsReference),
            open && (React.createElement(EnhancedPopper_1.EnhancedPopper, { backgroundColor: backgroundColor, children: children, onClickOutside: onClickOutside, modifiers: modifiers, placement: placement, PopperComponent: Popper.Popper, shadow: shadow, style: style, targetMinHeight: targetMinHeight, targetMinWidth: targetMinWidth }))));
    };
    return Popup;
}(React.Component));
exports.Popup = Popup;
//# sourceMappingURL=Popup.js.map