import * as React from 'react';
import { PopperInterface, PopupProps } from './Popup';
import { UncontrolledPopupProps } from './UncontrolledPopup';
export declare const createPopup: (Popper: PopperInterface) => React.ComponentType<Pick<PopupProps, "children" | "style" | "backgroundColor" | "open" | "onClickOutside" | "placement" | "modifiers" | "shadow" | "targetMinHeight" | "targetMinWidth" | "onOpen" | "referenceChildren">>;
export declare const createUncontrolledPopup: (Popper: PopperInterface) => React.ComponentType<Pick<UncontrolledPopupProps, "children" | "style" | "backgroundColor" | "placement" | "modifiers" | "shadow" | "targetMinHeight" | "targetMinWidth" | "referenceChildren">>;
export declare const __POPUP_FACTORY: JSX.Element;
