"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = require("react");
var Absolute = /** @class */ (function (_super) {
    tslib_1.__extends(Absolute, _super);
    function Absolute() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Absolute.prototype.render = function () {
        var _a = this.props, children = _a.children, style = _a.style, border = _a.border, width = _a.width, height = _a.height, styleProps = tslib_1.__rest(_a, ["children", "style", "border", "width", "height"]);
        return (React.createElement("div", { style: tslib_1.__assign({ position: 'absolute', border: border ? '1px solid black' : '', width: width,
                height: height }, style, styleProps) }, children));
    };
    return Absolute;
}(React.Component));
exports.Absolute = Absolute;
//# sourceMappingURL=Absolute.js.map