"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = require("react");
var Progress_1 = require("./Progress");
var Spinner = require('react-spinkit');
var ProgressIndicator = /** @class */ (function (_super) {
    tslib_1.__extends(ProgressIndicator, _super);
    function ProgressIndicator() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ProgressIndicator.prototype.render = function () {
        var _a = this.props, _b = _a.small, small = _b === void 0 ? false : _b, color = _a.color, backgroundColor = _a.backgroundColor;
        if (small) {
            return (React.createElement(Progress_1.Progress, { size: 18, trackColor: color, backgroundColor: backgroundColor }));
        }
        return React.createElement(Spinner, { name: "ball-scale-ripple", fadeIn: 'none' });
    };
    return ProgressIndicator;
}(React.Component));
exports.ProgressIndicator = ProgressIndicator;
//# sourceMappingURL=ProgressIndicator.js.map