"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var styled_1 = require("@emotion/styled");
var React = require("react");
var SpanWithHover = styled_1.default.span(templateObject_1 || (templateObject_1 = tslib_1.__makeTemplateObject(["\n  :hover {\n    ", ";\n  }\n"], ["\n  :hover {\n    ", ";\n  }\n"])), function (props) { return (props.hoverUnderline ? 'text-decoration: underline;' : ''); });
var TextBase = /** @class */ (function (_super) {
    tslib_1.__extends(TextBase, _super);
    function TextBase() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    TextBase.prototype.render = function () {
        var _a = this.props, fontSize = _a.fontSize, fontFamily = _a.fontFamily, color = _a.color, _b = _a.nowrap, nowrap = _b === void 0 ? false : _b, underline = _a.underline, _c = _a.bold, bold = _c === void 0 ? false : _c, hoverUnderline = _a.hoverUnderline, italic = _a.italic, disableSelect = _a.disableSelect, weight = _a.weight;
        return (React.createElement(SpanWithHover, { hoverUnderline: hoverUnderline, style: {
                fontSize: fontSize,
                fontStyle: italic ? 'italic' : undefined,
                color: color,
                fontFamily: fontFamily,
                whiteSpace: nowrap ? 'nowrap' : undefined,
                textDecoration: underline ? 'underline' : undefined,
                fontWeight: bold ? 'bold' : getWeight(weight, this.props),
                userSelect: disableSelect ? 'none' : undefined,
            } }, this.props.children));
    };
    return TextBase;
}(React.PureComponent));
exports.TextBase = TextBase;
var getWeight = function (weight, props) {
    switch (weight) {
        case 'bold':
            return props.fontWeightBold;
        case 'light':
            return props.fontWeightLight;
        default:
            return props.fontWeightNormal;
    }
};
var templateObject_1;
//# sourceMappingURL=TextBase.js.map