import { FontWeightProperty } from 'csstype';
export interface TextTheme {
    fontSize: string;
    fontFamily: string;
    fontWeightBold: FontWeightProperty;
    fontWeightNormal?: FontWeightProperty;
    fontWeightLight: FontWeightProperty;
}
export declare const defaultHeaderTextTheme: TextTheme;
export declare const defaultSectionHeaderTextTheme: TextTheme;
export declare const defaultLargeTextTheme: TextTheme;
export declare const defaultDefaultTextTheme: TextTheme;
export declare const defaultSmallTextTheme: TextTheme;
export declare const defaultSmallerTextTheme: TextTheme;
export declare const defaultTinyTextTheme: TextTheme;
