"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var lodash_1 = require("lodash");
var recompose_1 = require("recompose");
var WithTheme_1 = require("./WithTheme");
exports.withComponentTheme = function (componentName) {
    return recompose_1.compose(recompose_1.setDisplayName('withComponentTheme()'), recompose_1.renameProp('theme', 'overridingTheme'), WithTheme_1.withTheme, recompose_1.withPropsOnChange(['theme', 'overridingTheme'], function (_a) {
        var overridingTheme = _a.overridingTheme, theme = _a.theme;
        return ({
            theme: lodash_1.merge({}, theme.components[componentName], overridingTheme),
        });
    }));
};
//# sourceMappingURL=WithComponentTheme.js.map