import * as React from 'react';
import { Theme } from '../../../themes/Theme';
export interface WithThemeProps {
    theme: Theme;
}
export declare const withTheme: <OuterProps, WrappedComponentProps extends WithThemeProps>(WrappedComponent: React.ComponentType<WrappedComponentProps>) => React.ComponentType<OuterProps>;
