"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = require("react");
var ClickPropagationGate = /** @class */ (function (_super) {
    tslib_1.__extends(ClickPropagationGate, _super);
    function ClickPropagationGate() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.onClick = function (e) {
            e.stopPropagation();
            e.preventDefault();
        };
        return _this;
    }
    ClickPropagationGate.prototype.render = function () {
        var disabled = this.props.disabled;
        return (React.createElement("div", { onClick: disabled ? undefined : this.onClick }, this.props.children));
    };
    return ClickPropagationGate;
}(React.Component));
exports.ClickPropagationGate = ClickPropagationGate;
//# sourceMappingURL=ClickPropagationGate.js.map