"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var NumberBoundsWrapper_1 = require("../../../util/bounds/NumberBoundsWrapper");
exports.clampPos = function (pos, numRows, numCols) {
    return {
        rowIndex: NumberBoundsWrapper_1.limitRange(pos.rowIndex, 0, numRows),
        colIndex: NumberBoundsWrapper_1.limitRange(pos.colIndex, 0, numCols),
    };
};
exports.wrapPos = function (pos, numRows, numCols) {
    var wrapped = NumberBoundsWrapper_1.wrapBounds(pos.colIndex, pos.rowIndex, numCols, numRows);
    return {
        rowIndex: wrapped.realY,
        colIndex: wrapped.realX,
    };
};
//# sourceMappingURL=NumberBoundsWrapper.js.map