"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ButtonTheme_1 = require("../components/ui/buttons/ButtonTheme");
var FlatButtonTheme_1 = require("../components/ui/buttons/FlatButtonTheme");
var SmallButtonTheme_1 = require("../components/ui/buttons/SmallButtonTheme");
var StandardButtonTheme_1 = require("../components/ui/buttons/StandardButtonTheme");
var SeparatorLineTheme_1 = require("../components/ui/decorations/SeparatorLineTheme");
var CalendarTheme_1 = require("../components/ui/form/calendar/components/CalendarTheme");
var SimpleCheckboxTheme_1 = require("../components/ui/form/checkbox/SimpleCheckboxTheme");
var DateInputTheme_1 = require("../components/ui/form/date-time-input/DateInputTheme");
var DateRangeInputTheme_1 = require("../components/ui/form/date-time-input/DateRangeInputTheme");
var RadioButtonTheme_1 = require("../components/ui/form/radio/RadioButtonTheme");
var SwitchTheme_1 = require("../components/ui/form/switch/SwitchTheme");
var DefaultTextInputTheme_1 = require("../components/ui/form/text-input/DefaultTextInputTheme");
var NumericTextInputTheme_1 = require("../components/ui/form/text-input/NumericTextInputTheme");
var SimpleTextInputTheme_1 = require("../components/ui/form/text-input/SimpleTextInputTheme");
var SliderTheme_1 = require("../components/ui/slider/SliderTheme");
var TextTheme_1 = require("../components/ui/text/TextTheme");
var SelectTheme_1 = require("../features/select/SelectTheme");
var DefaultColors_1 = require("./default-values/DefaultColors");
var DefaultFonts_1 = require("./default-values/DefaultFonts");
var DefaultFontSizes_1 = require("./default-values/DefaultFontSizes");
var DefaultMetrics_1 = require("./default-values/DefaultMetrics");
exports.defaultTheme = {
    colors: DefaultColors_1.defaultColors,
    metrics: DefaultMetrics_1.defaultMetrics,
    fonts: DefaultFonts_1.defaultFonts,
    fontSizes: DefaultFontSizes_1.defaultFontSizes,
    components: {
        Button: ButtonTheme_1.defaultButtonTheme,
        Calendar: CalendarTheme_1.defaultCalendarTheme,
        DateInput: DateInputTheme_1.defaultDateInputTheme,
        DateRangeInput: DateRangeInputTheme_1.defaultDateRangeInputTheme,
        DefaultText: TextTheme_1.defaultDefaultTextTheme,
        DefaultTextInput: DefaultTextInputTheme_1.defaultDefaultTextInputTheme,
        FlatButton: FlatButtonTheme_1.defaultFlatButtonTheme,
        HeaderText: TextTheme_1.defaultHeaderTextTheme,
        LargeText: TextTheme_1.defaultLargeTextTheme,
        NumericTextInput: NumericTextInputTheme_1.defaultNumericTextInputTheme,
        RadioButton: RadioButtonTheme_1.defaultRadioButtonTheme,
        SectionHeaderText: TextTheme_1.defaultSectionHeaderTextTheme,
        Select: SelectTheme_1.defaultSelectTheme,
        SeparatorLine: SeparatorLineTheme_1.defaultSeparatorLineTheme,
        SimpleCheckbox: SimpleCheckboxTheme_1.defaultSimpleCheckboxTheme,
        SimpleTextInput: SimpleTextInputTheme_1.defaultSimpleTextInputTheme,
        Slider: SliderTheme_1.defaultSliderTheme,
        SmallButton: SmallButtonTheme_1.defaultSmallButtonTheme,
        SmallText: TextTheme_1.defaultSmallTextTheme,
        SmallerText: TextTheme_1.defaultSmallerTextTheme,
        StandardButton: StandardButtonTheme_1.defaultStandardButtonTheme,
        Switch: SwitchTheme_1.defaultSwitchTheme,
        TinyText: TextTheme_1.defaultTinyTextTheme,
    },
};
//# sourceMappingURL=DefaultTheme.js.map