export interface TimeInterval {
    startTime: string;
    endTime: string;
}
export interface TimeIntervalNumber {
    startTime: number | null;
    endTime: number | null;
}
export declare const transformTimeIntervalToNumbers: (interval: TimeInterval) => TimeIntervalNumber;
export declare const timesOverlap: (i1: TimeIntervalNumber, i2: TimeIntervalNumber) => boolean;
export declare const hasOverlappingTimes: (intervals: TimeIntervalNumber[]) => boolean;
