"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = require("react");
var recompose_1 = require("recompose");
var WithComponentTheme_1 = require("../../util/enhancers/WithComponentTheme");
var Button_1 = require("./Button");
exports.FlatButtonComponent = function (_a) {
    var textColor = _a.textColor, disabled = _a.disabled, theme = _a.theme, buttonProps = tslib_1.__rest(_a, ["textColor", "disabled", "theme"]);
    return (React.createElement(Button_1.Button, tslib_1.__assign({ color: 'transparent', disabledColor: 'transparent', textColor: disabled ? theme.disabledTextColor : textColor || theme.textColor, disabled: disabled }, buttonProps)));
};
exports.FlatButton = recompose_1.setDisplayName('FlatButton')(recompose_1.compose(WithComponentTheme_1.withComponentTheme('FlatButton'))(exports.FlatButtonComponent));
//# sourceMappingURL=FlatButton.js.map