"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = require("react");
var recompose_1 = require("recompose");
var WithComponentTheme_1 = require("../../util/enhancers/WithComponentTheme");
var Button_1 = require("./Button");
var SmallButtonComponent = function (_a) {
    var theme = _a.theme, buttonProps = tslib_1.__rest(_a, ["theme"]);
    return (React.createElement(Button_1.Button, tslib_1.__assign({ height: theme.height, borderRadius: theme.borderRadius }, buttonProps)));
};
exports.SmallButton = recompose_1.setDisplayName('SmallButton')(recompose_1.compose(WithComponentTheme_1.withComponentTheme('SmallButton'))(SmallButtonComponent));
//# sourceMappingURL=SmallButton.js.map