"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var recompose_1 = require("recompose");
var WithTheme_1 = require("../../util/enhancers/WithTheme");
var SeparatorLineComponent = function (_a) {
    var color = _a.color, width = _a.width, height = _a.height, theme = _a.theme.components.SeparatorLine;
    return (React.createElement("div", { style: {
            height: height || theme.height,
            backgroundColor: color || theme.color,
            width: width || theme.width,
        } }));
};
exports.SeparatorLine = recompose_1.setDisplayName('SeparatorLine')(recompose_1.compose(WithTheme_1.withTheme)(SeparatorLineComponent));
//# sourceMappingURL=SeparatorLine.js.map