"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var recompose_1 = require("recompose");
var WithComponentTheme_1 = require("../../../util/enhancers/WithComponentTheme");
var Calendar_1 = require("./components/Calendar");
var MonthSwitcher_1 = require("./features/month-switcher/MonthSwitcher");
var SingleDateSelection_1 = require("./features/SingleDateSelection");
var WithTodayInDayState_1 = require("./features/today-state/WithTodayInDayState");
exports.createSingleDateCalendar = function () {
    return recompose_1.setDisplayName('SingleDateCalendar')(recompose_1.compose(WithComponentTheme_1.withComponentTheme('Calendar'), SingleDateSelection_1.withSingleDateSelection, MonthSwitcher_1.withMonthSwitcher, WithTodayInDayState_1.withTodayInDayState())(Calendar_1.createCalendar()));
};
exports.SingleDateCalendar = exports.createSingleDateCalendar();
//# sourceMappingURL=SingleDateCalendar.js.map