"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var recompose_1 = require("recompose");
var WithComponentTheme_1 = require("../../../util/enhancers/WithComponentTheme");
var Calendar_1 = require("./components/Calendar");
var MonthSwitcher_1 = require("./features/month-switcher/MonthSwitcher");
var SingleWeekSelection_1 = require("./features/SingleWeekSelection");
var WithTodayInDayState_1 = require("./features/today-state/WithTodayInDayState");
exports.createSingleWeekCalendar = function () {
    return recompose_1.setDisplayName('SingleWeekCalendar')(recompose_1.compose(SingleWeekSelection_1.withSingleWeekSelection, MonthSwitcher_1.withMonthSwitcher, WithComponentTheme_1.withComponentTheme('Calendar'), WithTodayInDayState_1.withTodayInDayState())(Calendar_1.createCalendar()));
};
exports.SingleWeekCalendar = exports.createSingleWeekCalendar();
//# sourceMappingURL=SingleWeekCalendar.js.map