"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var WeekNumberCell_1 = require("./renderers/WeekNumberCell");
exports.CalendarWeek = function (_a) {
    var week = _a.week, month = _a.month, DayComponent = _a.dayComponent, statePerWeekDay = _a.statePerWeekDay, userDataPerWeekDay = _a.userDataPerWeekDay, onClickWeek = _a.onClickWeek, onClickDay = _a.onClickDay, theme = _a.theme, renderWeekNumber = _a.renderWeekNumber, extraDayContent = _a.extraDayContent, defaultHighlights = _a.defaultHighlights;
    return (React.createElement("tr", { key: week.weekNumber },
        React.createElement("td", null, renderWeekNumber ? (renderWeekNumber(week, theme, onClickWeek)) : (React.createElement(WeekNumberCell_1.WeekNumberCell, { week: week, onClickWeek: onClickWeek, theme: theme }))),
        week.days.map(function (day) { return (React.createElement(DayComponent, { key: day.dateString, day: day, week: week, month: month, dayState: statePerWeekDay && statePerWeekDay[day.dayOfMonth], userData: userDataPerWeekDay && userDataPerWeekDay[day.dayOfMonth], onClickDay: onClickDay, theme: theme, extraDayContent: extraDayContent, defaultHighlights: defaultHighlights })); })));
};
//# sourceMappingURL=CalendarWeek.js.map