import * as React from 'react';
import { WeekData } from '../../util/CalendarDataFactory';
import { OnClickWeek } from '../../types/CalendarTypes';
import { CalendarTheme } from '../CalendarTheme';
export interface WeekNumberCellProps {
    week: WeekData;
    onClickWeek?: OnClickWeek;
    theme: CalendarTheme;
    background?: JSX.Element;
    prefix?: string;
    backgroundColor?: string;
}
export declare const WeekNumberCell: React.FC<WeekNumberCellProps>;
