"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var colors_1 = require("../../../../colors");
var ClickableSwitcher_1 = require("../../../../interaction/ClickableSwitcher");
var layout_1 = require("../../../../layout");
var positioning_1 = require("../../../../positioning");
var text_1 = require("../../../../text");
exports.WeekNumberCell = function (_a) {
    var onClickWeek = _a.onClickWeek, theme = _a.theme, week = _a.week, background = _a.background, backgroundColor = _a.backgroundColor, prefix = _a.prefix;
    return (React.createElement(colors_1.Background, { color: backgroundColor || theme.WeekNumber.backgroundColor },
        React.createElement(positioning_1.Relative, null,
            React.createElement(ClickableSwitcher_1.ClickableSwitcher, { onClick: onClickWeek ? function () { return onClickWeek(week); } : undefined },
                React.createElement(layout_1.Column, { width: theme.width, height: theme.height, justifyContent: 'center', alignItems: 'center' },
                    background && React.createElement(positioning_1.Absolute, null, background),
                    React.createElement(positioning_1.Absolute, null,
                        React.createElement(text_1.SmallText, { color: theme.WeekNumber.textColor },
                            prefix,
                            week.weekNumber)))))));
};
//# sourceMappingURL=WeekNumberCell.js.map