import { ComponentEnhancer } from 'recompose';
import { Omit } from '../../../../../types/Omit';
import { CalendarProps } from '../types/CalendarTypes';
import { WithCalendarTheme } from '../types/WithCalendarTheme';
import { WithMonthSwitcherProps } from './month-switcher/MonthSwitcher';
import { MonthSwitcherLogicOuterProps } from './month-switcher/MonthSwitcherLogic';
export declare type __C359812313518 = ComponentEnhancer<{}, {}>;
export declare type SingleDateCalendarProps<T> = Omit<CalendarProps<T>, 'theme'> & MonthSwitcherLogicOuterProps & OnChangePropsSingleDateSelection & WithCalendarTheme & WithMonthSwitcherProps;
export interface OnChangePropsSingleDateSelection {
    value: Date | undefined;
    onChange: (value: Date | undefined) => void;
}
export declare const withSingleDateSelection: ComponentEnhancer<{}, {}>;
