"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var faChevronLeft_1 = require("@fortawesome/free-solid-svg-icons/faChevronLeft");
var faChevronRight_1 = require("@fortawesome/free-solid-svg-icons/faChevronRight");
var React = require("react");
var recompose_1 = require("recompose");
var buttons_1 = require("../../../../buttons");
var MonthSwitcherLogic_1 = require("./MonthSwitcherLogic");
var withSwitchButtonsLeftRight = recompose_1.withProps(function (_a) {
    var prevMonth = _a.prevMonth, nextMonth = _a.nextMonth, theme = _a.theme;
    return ({
        headerLeftContent: (React.createElement(buttons_1.Button, { height: theme &&
                theme.CalendarMonth.SwitchButton &&
                theme.CalendarMonth.SwitchButton.height
                ? theme.CalendarMonth.SwitchButton.height
                : buttons_1.defaultStandardButtonTheme.height, onClick: prevMonth, leftIcon: faChevronLeft_1.faChevronLeft, theme: theme && theme.CalendarMonth.SwitchButton
                ? theme.CalendarMonth.SwitchButton
                : undefined, width: theme && theme.CalendarMonth.SwitchButton
                ? theme.CalendarMonth.SwitchButton.width
                : undefined })),
        headerRightContent: (React.createElement(buttons_1.Button, { height: theme &&
                theme.CalendarMonth.SwitchButton &&
                theme.CalendarMonth.SwitchButton.height
                ? theme.CalendarMonth.SwitchButton.height
                : buttons_1.defaultStandardButtonTheme.height, onClick: nextMonth, leftIcon: faChevronRight_1.faChevronRight, theme: theme && theme.CalendarMonth.SwitchButton
                ? theme.CalendarMonth.SwitchButton
                : undefined, width: theme && theme.CalendarMonth.SwitchButton
                ? theme.CalendarMonth.SwitchButton.width
                : undefined })),
    });
});
exports.withMonthSwitcherInHeader = recompose_1.compose(MonthSwitcherLogic_1.withMonthSwitcherLogic, withSwitchButtonsLeftRight);
//# sourceMappingURL=MonthSwitcherInHeader.js.map