import * as React from 'react';
import { WithInnerComponentThemeProps } from '../../../util/enhancers/WithComponentTheme';
import { WithOnToggleHandler } from '../../../util/enhancers/withOnToggleHandler';
import { SimpleCheckboxProps } from './SimpleCheckbox';
import { SimpleCheckboxTheme } from './SimpleCheckboxTheme';
export interface CheckboxWithLabelProps extends SimpleCheckboxProps {
    label?: string;
    textColor?: string;
    disabled?: boolean;
}
declare type InnerProps = CheckboxWithLabelProps & WithInnerComponentThemeProps<SimpleCheckboxTheme> & WithOnToggleHandler;
export declare const CheckboxWithLabelComponent: React.FC<InnerProps>;
export declare const CheckboxWithLabel: React.ComponentClass<CheckboxWithLabelProps, any>;
export {};
