import { IconProp } from '@fortawesome/fontawesome-svg-core';
export interface SimpleCheckboxStateTheme {
    borderColor: string;
    backgroundColor: string;
    iconColor: string;
}
export interface SimpleCheckboxTheme {
    colors: SimpleCheckboxStateTheme;
    disabledColors: SimpleCheckboxStateTheme;
    checkedColors: SimpleCheckboxStateTheme;
    borderColorFocused: string;
    checkIcon: IconProp;
    width: string;
    height: string;
    borderRadius: string;
    iconSize: number;
}
export declare const defaultSimpleCheckboxTheme: SimpleCheckboxTheme;
export declare const defaultSimpleCheckboxThemeDark: SimpleCheckboxTheme;
