import * as React from 'react';
import { WithInnerComponentThemeProps } from '../../../util/enhancers';
import { WithOnToggleHandler } from '../../../util/enhancers/withOnToggleHandler';
import { ValueOnChangeProps } from '../types';
import { RadioButtonTheme } from './RadioButtonTheme';
export interface RadioButtonProps extends ValueOnChangeProps<boolean> {
    disabled?: boolean;
}
declare type InnerProps = WithOnToggleHandler & WithInnerComponentThemeProps<RadioButtonTheme> & RadioButtonProps;
export declare const RadioButtonComponent: React.FC<InnerProps>;
interface ThemeProp {
    theme?: RadioButtonTheme;
}
export declare const RadioButton: React.ComponentClass<RadioButtonProps & ThemeProp, any>;
export {};
