"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var faCircle_1 = require("@fortawesome/free-regular-svg-icons/faCircle");
var faDotCircle_1 = require("@fortawesome/free-solid-svg-icons/faDotCircle");
var default_values_1 = require("../../../../themes/default-values");
exports.defaultRadioButtonTheme = {
    checkedIcon: faDotCircle_1.faDotCircle,
    notCheckedIcon: faCircle_1.faCircle,
    notCheckedColor: default_values_1.defaultColors.primaryText,
    disabledIconColor: default_values_1.defaultColors.disabledText,
    disabledTextColor: default_values_1.defaultColors.disabledText,
    iconColor: default_values_1.defaultColors.primaryText,
    iconSize: 20,
    textColor: default_values_1.defaultColors.primaryText,
    textSize: default_values_1.defaultFontSizes.normal,
};
exports.defaultRadioButtonThemeDark = {
    checkedIcon: faDotCircle_1.faDotCircle,
    notCheckedIcon: faCircle_1.faCircle,
    notCheckedColor: '#4d7989',
    disabledIconColor: default_values_1.defaultColors.disabledText,
    disabledTextColor: default_values_1.defaultColors.disabledText,
    iconColor: '#4d7989',
    iconSize: 20,
    textColor: '#4d7989',
    textSize: default_values_1.defaultFontSizes.normal,
};
//# sourceMappingURL=RadioButtonTheme.js.map