import * as React from 'react';
import { DeepPartial } from '../../../../types';
import { RequiredInputComponentProps } from '../../../RequiredComponentProps';
import { ValueOnChangeProps } from '../types';
import { SwitchTheme } from './SwitchTheme';
export interface SwitchProps extends RequiredInputComponentProps<HTMLDivElement, HTMLInputElement>, ValueOnChangeProps<boolean> {
    disabled?: boolean;
    onChange: (value: boolean) => void;
    theme?: DeepPartial<SwitchTheme>;
}
export declare const Switch: React.ComponentClass<SwitchProps, any>;
