export interface SwitchStateTheme {
    backgroundColor: string;
    iconBackgroundColor: string;
    iconColor: string;
}
export interface SwitchTheme {
    colors: SwitchStateTheme;
    disabledColors: SwitchStateTheme;
    checkedColors: SwitchStateTheme;
    width: number;
    height: number;
    borderRadius: number;
}
export declare const defaultSwitchTheme: SwitchTheme;
export declare const defaultSwitchThemeDark: SwitchTheme;
