"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DefaultColors_1 = require("../../../../themes/default-values/DefaultColors");
exports.defaultDefaultTextInputTheme = {
    borderRadius: '4px',
    borderColor: DefaultColors_1.defaultColors.inputBorder,
    borderColorFocused: DefaultColors_1.defaultColors.inputBorderFocused,
    borderStyle: 'solid',
    borderWidth: 1,
    disabledBackgroundColor: DefaultColors_1.defaultColors.disabledBackground,
    fontSize: '13px',
    height: '34px',
    paddingLeft: '8px',
    paddingRight: '8px',
    iconSize: 13,
    backgroundColor: DefaultColors_1.defaultColors.white,
    textColor: DefaultColors_1.defaultColors.primaryText,
};
exports.defaultTextInputThemeDark = {
    borderRadius: '4px',
    borderColor: 'transparent',
    borderColorFocused: DefaultColors_1.defaultColors.white,
    borderStyle: 'solid',
    borderWidth: 1,
    disabledBackgroundColor: DefaultColors_1.defaultColors.disabledBackground,
    fontSize: '13px',
    height: '34px',
    paddingLeft: '8px',
    paddingRight: '8px',
    iconSize: 13,
    backgroundColor: '#4a5d73',
    textColor: DefaultColors_1.defaultColors.white,
};
//# sourceMappingURL=DefaultTextInputTheme.js.map