import * as React from 'react';
export declare type JustifyContentValue = 'flex-start' | 'center' | 'flex-end' | 'space-around' | 'space-between';
export interface FlexBaseProps {
    flexDirection: 'row' | 'column';
}
export interface FlexBaseCommonProps {
    justifyContent?: JustifyContentValue;
    alignItems?: 'flex-start' | 'center' | 'flex-end';
    alignSelf?: 'flex-start' | 'center' | 'flex-end';
    minWidth?: string;
    flexGrow?: number;
    width?: string;
    height?: string;
    minHeight?: string;
    backgroundColor?: string;
    paddingVertical?: string;
    paddingHorizontal?: string;
    border?: string;
    className?: string;
    hidden?: boolean;
    style?: React.CSSProperties;
    tabIndex?: number;
    children?: React.ReactNode;
    id?: string;
}
export declare class FlexBase extends React.Component<FlexBaseProps & FlexBaseCommonProps> {
    render(): JSX.Element;
}
