"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = require("react");
var FlexBase = /** @class */ (function (_super) {
    tslib_1.__extends(FlexBase, _super);
    function FlexBase() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    FlexBase.prototype.render = function () {
        var _a = this.props, children = _a.children, justifyContent = _a.justifyContent, alignItems = _a.alignItems, alignSelf = _a.alignSelf, flexGrow = _a.flexGrow, width = _a.width, minWidth = _a.minWidth, height = _a.height, minHeight = _a.minHeight, backgroundColor = _a.backgroundColor, paddingVertical = _a.paddingVertical, paddingHorizontal = _a.paddingHorizontal, border = _a.border, hidden = _a.hidden, style = _a.style, tabIndex = _a.tabIndex, className = _a.className, flexDirection = _a.flexDirection, id = _a.id;
        return (React.createElement("div", { className: className, tabIndex: tabIndex, id: id, style: tslib_1.__assign({ display: hidden ? 'none' : 'flex', flexDirection: flexDirection,
                justifyContent: justifyContent,
                alignItems: alignItems,
                alignSelf: alignSelf,
                flexGrow: flexGrow,
                width: width, minWidth: minWidth || width, height: height,
                minHeight: minHeight,
                backgroundColor: backgroundColor,
                border: border, paddingTop: paddingVertical, paddingBottom: paddingVertical, paddingLeft: paddingHorizontal, paddingRight: paddingHorizontal }, style) }, children));
    };
    return FlexBase;
}(React.Component));
exports.FlexBase = FlexBase;
//# sourceMappingURL=FlexBase.js.map