"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var recompose_1 = require("recompose");
var WithTheme_1 = require("../../util/enhancers/WithTheme");
exports.SpaceComponent = function (_a) {
    var children = _a.children, _b = _a.half, half = _b === void 0 ? false : _b, horizontal = _a.horizontal, _c = _a.num, num = _c === void 0 ? 1 : _c, theme = _a.theme, vertical = _a.vertical;
    var halfMod = half ? 0.5 : 1.0;
    var size = num * halfMod;
    return (React.createElement("div", { style: {
            width: vertical ? '1px' : size * theme.metrics.space + "px",
            height: horizontal ? '1px' : size * theme.metrics.space + "px",
        } }, children));
};
exports.Space = recompose_1.setDisplayName('Space')(recompose_1.compose(WithTheme_1.withTheme)(exports.SpaceComponent));
//# sourceMappingURL=Space.js.map