"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var styled_1 = require("@emotion/styled");
var React = require("react");
var ModalWrapper = styled_1.default.div(templateObject_1 || (templateObject_1 = tslib_1.__makeTemplateObject(["\n  display: flex;\n  justify-content: center;\n  align-items: center;\n  position: fixed;\n  top: 0;\n  left: 0;\n  width: 100%;\n  height: 100%;\n  background: rgba(\n    0,\n    0,\n    0,\n    ", "\n  );\n  z-index: ", ";\n"], ["\n  display: flex;\n  justify-content: center;\n  align-items: center;\n  position: fixed;\n  top: 0;\n  left: 0;\n  width: 100%;\n  height: 100%;\n  background: rgba(\n    0,\n    0,\n    0,\n    ", "\n  );\n  z-index: ", ";\n"])), function (props) { return (typeof props.opacity === 'number' ? props.opacity : 0.3); }, function (props) { return props.zIndex || 100; });
var Overlay = /** @class */ (function (_super) {
    tslib_1.__extends(Overlay, _super);
    function Overlay() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.div = undefined;
        _this.onClickOutside = function (e) {
            var onClickOutside = _this.props.onClickOutside;
            if (e.target === _this.div && onClickOutside) {
                onClickOutside();
                e.stopPropagation();
            }
        };
        _this.onKeyDown = function (e) {
            var onClickOutside = _this.props.onClickOutside;
            if (e.key === 'Escape' && onClickOutside) {
                onClickOutside();
            }
        };
        return _this;
    }
    Overlay.prototype.componentDidMount = function () {
        this.div.focus();
    };
    Overlay.prototype.render = function () {
        var _this = this;
        var _a = this.props, children = _a.children, backgroundOpacity = _a.backgroundOpacity, _b = _a.zIndex, zIndex = _b === void 0 ? 100 : _b;
        return (React.createElement(ModalWrapper, { zIndex: zIndex, opacity: backgroundOpacity, id: 'modal-wrapper', onClick: this.onClickOutside, ref: function (div) { return (_this.div = div); }, onKeyDown: this.onKeyDown, tabIndex: 0 }, children));
    };
    return Overlay;
}(React.Component));
exports.Overlay = Overlay;
var templateObject_1;
//# sourceMappingURL=Overlay.js.map