import * as React from 'react';
import { ButtonProps } from '../buttons/Button';
export declare type ChildrenFunction = (args: OverlayToggleArgs) => JSX.Element;
export interface OverlayToggleButtonProps extends ButtonProps {
    default?: boolean;
    children?: JSX.Element | ChildrenFunction;
    renderButton?: JSX.Element;
    detachOverlay?: boolean;
    backgroundOpacity?: number;
}
export interface OverlayToggleArgs {
    close: () => void;
}
export declare const OverlayToggleButton: React.ComponentClass<OverlayToggleButtonProps, any>;
