import { Modifiers, Placement } from 'popper.js';
import * as React from 'react';
import { Popper } from 'react-popper';
export interface PopperProps {
    backgroundColor?: string;
    children: React.ReactNode;
    onClickOutside?: () => void;
    PopperComponent: typeof Popper;
    placement?: Placement;
    modifiers?: Modifiers;
    shadow?: boolean;
    style?: React.CSSProperties;
    targetMinHeight?: number;
    targetMinWidth?: number;
}
export declare const POPUP_BOX_SHADOW = "rgba(0, 0, 0, 0.28) 0 2px 13px 0";
export declare class PurePopper extends React.Component<PopperProps> {
    render(): JSX.Element;
    handleClickOutside(): void;
    private renderPropsChildren;
}
export declare const EnhancedPopper: React.ComponentClass<PopperProps, any>;
