"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var styled_1 = require("@emotion/styled");
var React = require("react");
var BoatWrapper_1 = require("./BoatWrapper");
var Wrapper = styled_1.default('div')({
    width: '80px',
    height: '80px',
    backgroundColor: '#ffffff',
    overflow: 'hidden',
    border: '1px solid transparent',
    borderRadius: '40px',
    display: 'flex',
    justifyContent: 'flex-start',
    alignItems: 'center',
});
var Locator = styled_1.default('div')({
    position: 'relative',
    marginTop: '20px',
    marginLeft: '6px',
});
exports.BoatProgressIndicator = function () { return (React.createElement(BoatWrapper_1.BoatWrapper, null,
    React.createElement(Wrapper, null,
        React.createElement(Locator, null,
            React.createElement("span", { className: 'ferry' },
                React.createElement("span", { className: 'chimney' }),
                React.createElement("span", { className: 'waves' })))))); };
exports.BoatProgressIndicator.displayName = 'BoatProgressIndicator';
//# sourceMappingURL=BoatProgressIndicator.js.map