"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = require("react");
var styled_1 = require("@emotion/styled");
var default_values_1 = require("../../../themes/default-values");
var Wrapper = styled_1.default('div')(templateObject_1 || (templateObject_1 = tslib_1.__makeTemplateObject(["\n  height: ", "px;\n  box-sizing: border-box;\n  position: relative;\n  width: ", "px;\n"], ["\n  height: ", "px;\n  box-sizing: border-box;\n  position: relative;\n  width: ", "px;\n"])), function (_a) {
    var size = _a.size;
    return size;
}, function (_a) {
    var size = _a.size;
    return size;
});
var ProgressSpinner = styled_1.default('div')(templateObject_2 || (templateObject_2 = tslib_1.__makeTemplateObject(["\n  animation-fill-mode: both;\n  background-color: ", ";\n  border-radius: 100%;\n  box-sizing: inherit;\n  display: block;\n  height: ", "px;\n  margin: 0 !important;\n  width: ", "px;\n  opacity: ", "px;\n  position: relative;\n  overflow: hidden;\n  animation: rotate ", "s infinite linear;\n\n  :before {\n    content: '\\a0';\n    position: absolute;\n    top: 0;\n    left: 50%;\n    transform: translateX(-50%);\n    height: 0;\n    width: 0;\n    border: ", "px solid transparent;\n    border-width: ", ";\n    border-top-color: ", ";\n    z-index: 99999;\n  }\n  :after {\n    content: '\\a0';\n    position: absolute;\n    top: 50%;\n    left: 50%;\n    height: ", "px;\n    width: ", "px;\n    border-radius: 100%;\n    background: ", ";\n    transform: translate(-50%, -50%);\n  }\n\n  @keyframes rotate {\n    from {\n      transform: rotate(0deg);\n    }\n    to {\n      transform: rotate(360deg);\n    }\n  }\n"], ["\n  animation-fill-mode: both;\n  background-color: ", ";\n  border-radius: 100%;\n  box-sizing: inherit;\n  display: block;\n  height: ", "px;\n  margin: 0 !important;\n  width: ", "px;\n  opacity: ", "px;\n  position: relative;\n  overflow: hidden;\n  animation: rotate ", "s infinite linear;\n\n  :before {\n    content: '\\\\a0';\n    position: absolute;\n    top: 0;\n    left: 50%;\n    transform: translateX(-50%);\n    height: 0;\n    width: 0;\n    border: ", "px solid transparent;\n    border-width: ",
    ";\n    border-top-color: ",
    ";\n    z-index: 99999;\n  }\n  :after {\n    content: '\\\\a0';\n    position: absolute;\n    top: 50%;\n    left: 50%;\n    height: ", "px;\n    width: ", "px;\n    border-radius: 100%;\n    background: ",
    ";\n    transform: translate(-50%, -50%);\n  }\n\n  @keyframes rotate {\n    from {\n      transform: rotate(0deg);\n    }\n    to {\n      transform: rotate(360deg);\n    }\n  }\n"])), function (_a) {
    var trackColor = _a.trackColor;
    return trackColor || default_values_1.defaultColors.infoBlue;
}, function (_a) {
    var size = _a.size;
    return size || 25;
}, function (_a) {
    var size = _a.size;
    return size || 25;
}, function (_a) {
    var opacity = _a.opacity;
    return opacity || 1;
}, function (_a) {
    var duration = _a.duration;
    return duration || 2;
}, function (_a) {
    var width = _a.width;
    return width || 2;
}, function (_a) {
    var size = _a.size;
    return size / 2 + "px " + size * 0.4 + "px 0px " + size * 0.4 + "px";
}, function (_a) {
    var backgroundColor = _a.backgroundColor;
    return backgroundColor || default_values_1.defaultColors.white;
}, function (_a) {
    var size = _a.size, width = _a.width;
    return size - width || 20;
}, function (_a) {
    var size = _a.size, width = _a.width;
    return size - width || 20;
}, function (_a) {
    var backgroundColor = _a.backgroundColor;
    return backgroundColor || default_values_1.defaultColors.white;
});
exports.Progress = function (_a) {
    var _b = _a.backgroundColor, backgroundColor = _b === void 0 ? default_values_1.defaultColors.white : _b, _c = _a.trackColor, trackColor = _c === void 0 ? default_values_1.defaultColors.infoBlue : _c, _d = _a.opacity, opacity = _d === void 0 ? 1 : _d, _e = _a.size, size = _e === void 0 ? 20 : _e, width = _a.width, spinnerProps = _a.spinnerProps, _f = _a.style, style = _f === void 0 ? {} : _f;
    var evenSize = 2 * Math.round((size - 1) / 2);
    var evenWidth = width || 2 * Math.round((evenSize * 0.3) / 2);
    return (React.createElement(Wrapper, { margin: 0, size: size, style: style },
        React.createElement(ProgressSpinner, tslib_1.__assign({}, spinnerProps || {}, { size: evenSize, opacity: opacity, width: evenWidth, backgroundColor: backgroundColor, trackColor: trackColor }))));
};
var templateObject_1, templateObject_2;
//# sourceMappingURL=Progress.js.map