"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var recompose_1 = require("recompose");
exports.withOnToggleHandler = recompose_1.withHandlers({
    onToggle: function (_a) {
        var onChange = _a.onChange, value = _a.value;
        return function () {
            if (onChange) {
                onChange(!value);
            }
        };
    },
});
//# sourceMappingURL=withOnToggleHandler.js.map