import * as React from 'react';
export declare type DebouncedFunc = (...args: any[]) => any;
export interface DebounceProps {
    func: DebouncedFunc;
    delay?: number;
    children: (func: DebouncedFunc) => React.ReactElement<{}>;
}
export declare class Debounce extends React.Component<DebounceProps> {
    funcDebounced: DebouncedFunc | undefined;
    constructor(props: DebounceProps);
    componentWillMount(): void;
    render(): React.ReactElement<{}, string | ((props: any) => React.ReactElement<any, string | any | (new (props: any) => React.Component<any, any, any>)> | null) | (new (props: any) => React.Component<any, any, any>)>;
}
