"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = require("react");
var GridHooksTable_1 = require("../components/GridHooksTable");
var GridHookOptionsValidator_1 = require("../util/GridHookOptionsValidator");
exports.useGridNavigationOptionsFromContext = function (options) {
    var context = react_1.useContext(GridHooksTable_1.GridHooksContext);
    return react_1.useMemo(function () {
        return GridHookOptionsValidator_1.validateGridHookOptions(tslib_1.__assign({}, context, options));
    }, [context, options]);
};
//# sourceMappingURL=UseGridNavigationOptionsFromContext.js.map