export interface RevertableValue<TValue> {
    value: TValue;
    setValue: (value: TValue) => void;
    setRevertValue: (revertValue: TValue) => void;
    revert: () => void;
    commit: () => void;
}
export declare const useRevertableValue: <TValue>(initialValue: TValue) => RevertableValue<TValue>;
