"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.validateGridHookOptions = function (options) {
    if (!options.tableId) {
        throw new Error('tableId is required.');
    }
    if (options.numRows == null) {
        throw new Error('numRows is required.');
    }
    if (options.numCols == null) {
        throw new Error('numCols is required.');
    }
    return options;
};
//# sourceMappingURL=GridHookOptionsValidator.js.map