import * as React from 'react';
import { Props as ReactSelectInternalAsyncProps } from 'react-select/lib/Async';
import { Props as ReactSelectInternalSelectProps } from 'react-select/lib/Select';
import { ComponentEnhancer } from 'recompose';
import { ComponentThemeProps } from '../../components/util/enhancers/index';
import { Omit } from '../../types/Omit';
export declare type __C_STYLED_REACT_SELECT_FACTORY = ComponentEnhancer<{}, {}>;
export declare type SelectComponentProps<T> = Omit<ReactSelectInternalSelectProps<T>, 'theme'> & ComponentThemeProps<'Select'>;
export declare type AsyncComponentProps<T> = Omit<ReactSelectInternalAsyncProps<T>, 'theme'> & ComponentThemeProps<'Select'>;
export declare const createSelect: <T extends {}>(selectComponent: React.ComponentType<ReactSelectInternalSelectProps<T>>, userStyle?: Partial<import("react-select/lib/styles").Styles> | undefined) => React.ComponentClass<SelectComponentProps<T>, any>;
export declare const createAsyncSelect: <T extends {}>(selectComponent: React.ComponentType<ReactSelectInternalAsyncProps<T>>, userStyle?: Partial<import("react-select/lib/styles").Styles> | undefined) => React.ComponentClass<AsyncComponentProps<T>, any>;
