"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var recompose_1 = require("recompose");
var WithEditStateHandler_1 = require("./internal/WithEditStateHandler");
var WithNavigatableKeyDownHandler_1 = require("./internal/WithNavigatableKeyDownHandler");
exports.withTableNavigation = function (type, getCellId) {
    return recompose_1.compose(WithEditStateHandler_1.withEditingState, WithEditStateHandler_1.withOnFocus, WithEditStateHandler_1.withEditingHandlers(getCellId), WithNavigatableKeyDownHandler_1.withNavigatableKeyDownHandler({ type: type }));
};
//# sourceMappingURL=WithTableNavigation.js.map