"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.wrapBounds = function (x, y, maxX, maxY) {
    var realX = x;
    var realY = y;
    if (y > maxY) {
        realY = 0;
    }
    if (y < 0) {
        realY = maxY;
    }
    if (x > maxX) {
        realX = 0;
    }
    if (x < 0) {
        realX = maxX;
    }
    return {
        realX: realX,
        realY: realY,
    };
};
exports.wrapBoundsNextLine = function (x, y, maxX, maxY) {
    var realX = x;
    var realY = y;
    while (realX < 0) {
        realY--;
        realX += maxX + 1;
    }
    while (realX > maxX) {
        realY++;
        realX -= maxX + 1;
    }
    if (y > maxY) {
        realY = 0;
    }
    if (y < 0) {
        realY = maxY;
    }
    return {
        realX: exports.limitRange(realX, 0, maxX),
        realY: exports.limitRange(realY, 0, maxY),
    };
};
exports.limitRange = function (val, min, max) {
    return Math.max(Math.min(val, max), min);
};
//# sourceMappingURL=NumberBoundsWrapper.js.map